package hmggirlfront.network;

import hmggirlfront.mod_GirlFront;
import net.minecraftforge.fml.common.network.NetworkRegistry;
import net.minecraftforge.fml.common.network.simpleimpl.SimpleNetworkWrapper;
import net.minecraftforge.fml.relauncher.Side;

public class GFPacketHandler {
 
    //このMOD用のSimpleNetworkWrapperを生成。チャンネルの文字列は固有であれば何でも良い。MODIDの利用を推奨。
    public static final SimpleNetworkWrapper INSTANCE = NetworkRegistry.INSTANCE.newSimpleChannel(mod_GirlFront.MOD_ID);
    public static final SimpleNetworkWrapper INSTANCE2 = NetworkRegistry.INSTANCE.newSimpleChannel("hmggirlfrontclient");
 
 
    public static void init() {
        INSTANCE.registerMessage(GFMessageKeyPressedHandler.class, GFMessageKeyPressed.class, 0, Side.SERVER);
        INSTANCE2.registerMessage(GFClientMessageKeyPressedHandler.class, GFClientMessageKeyPressed.class, 1, Side.CLIENT);
    }
}